[manpage_begin central::extras n 1.0b3]
[require   Tcl 8.6]
[require   Tk 8.6]
[require   central::extras [opt 1.0b3]]
[moddesc   {Central Extras}]
[titledesc {Central Extras}]
[category  {Programming tools}]
[copyright {2022 Stuart Cassoff <stwo@users.sourceforge.net>}]
[keywords  central pkgconfig GUI]

[description]

	Central Extras extends the set of Central subcommands
	and provides functionality that may be used
	in programs to display Central package info.

[section {COMMANDS}]

[usage namespace import ::central::central]

[list_begin definitions]

	[call [cmd {central textDump}] [opt [arg {myPackages}]]]
		Returns a formatted text dump of one or more packages.
		If [arg {myPackages}] is not provided then the list of packages
		returned by [lb][cmd {central packages}][rb] will be used.

	[call [cmd {central packages->textWidget}] [arg {window}]  [opt [arg {packagetag}]] [opt [arg {myPackages}]]]
		Inserts package names and their text dumps into a text widget.
		The [arg {packagetag}] option specifies a tag to use when
		inserting the package name into the text widget.
		If [arg {myPackages}] is not provided then the list of packages
		returned by [lb][cmd {central packages}][rb] will be used.

	[call [class "central CentralPackageBrowser new [arg {window}] [opt [arg {toolkit}]]"]]
		A Tcl OO class providing a GUI package browser.
		The browser will be [lb]grid[rb]ed into [arg {window}].
		The [arg {toolkit}] argument can be "tk" or the default "ttk".

[list_end]


[section EXAMPLES]

[example {
	# Dump to text widget:

	package require Tk
	grid [text .t]

	.t tag configure package -foreground red

	package require central::extras
	namespace import central::central

	central discover

	central packages->textWidget .t package


	# Using the CentralPackageBrowser object:

	package require Tk
	package require central::extras
	namespace import central::central

	central CentralPackageBrowser new .
}]


[see_also central]


[manpage_end]
